<script type="text/javascript" src="../js/session_datos.js"></script>
<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Highcharts</title>

        <script type="text/javascript" src="../vendor/jquery/dist/jquery.js"></script>


        <style type="text/css">

        </style>
<script type="text/javascript">

var data = obtenerData();

var datos = new Array();

var a_cat = new Array();
var a_ven = new Array();
var a_com = new Array();
var a_ben = new Array();
var a_tic = new Array();


var e = 0;
a_cat[e] = data.ejercicio-1;
a_ven[e] = 0; //data.totalven_ant;
a_com[e] = 0; //data.totalcom_ant;
a_ben[e] = data.totalben_ant;
a_tic[e] = 0;

var desde = 0;
for (var i = 0; i < data.nume_regis; i++) {
  if (data.ventas[i] > 0 || data.compras[i] > 0) {
    desde = i;
  }
}
a_tic[e] = desde;


for (var i = 0; i < data.nume_regis; i++) {
  if ((data.ventas[i] > 0 || data.compras[i] > 0 ) || desde > i) {
    e = i+1;
    switch (e)
    {
       case 1 : a_cat[e] = "Enero"; break;
       case 2 : a_cat[e] = "Febrero"; break;
       case 3 : a_cat[e] = "Marzo"; break;
       case 4 : a_cat[e] = "Abril"; break;
       case 5 : a_cat[e] = "Mayo"; break;
       case 6 : a_cat[e] = "Junio"; break;
       case 7 : a_cat[e] = "Julio"; break;
       case 8 : a_cat[e] = "Agosto"; break;
       case 9 : a_cat[e] = "Septiembre"; break;
       case 10: a_cat[e] = "Octubre"; break;
       case 11: a_cat[e] = "Noviembre"; break;
       case 12: a_cat[e] = "Diciembre"; break;
    }
    
    a_ven[e] = data.ventas[i];
    a_com[e] = data.compras[i];
    a_ben[e] = data.beneficio[i];
    a_tic[e] = data.tickets[i];
  };
    
}
var beneficio_actual = data.totalben_ant + data.totalben - data.totalper;

var perdida_actual = 0;
if (beneficio_actual < 0) {
  perdida_actual = perdida_actual.toFixed(2);
  perdida_actual = beneficio_actual * -1;
  beneficio_actual = 0;
}

beneficio_actual = beneficio_actual.toFixed(2);
beneficio_actual = beneficio_actual * 1;

borrarDatos();

$(function () {
    $('#container').highcharts({
        credits: { enabled: false },
        exporting: { enabled: false },
        title: { text: '' },
        xAxis: {
            categories: a_cat
        },
        labels: {
            items: [{
                html: 'Resumen de Totales',
                style: {
                    left: '18px',
                    top: '0px',
                    color: (Highcharts.theme && Highcharts.theme.textColor) || 'black'
                }
            }]
        },
        series: [{
            type: 'column',
            name: 'Ventas',
            data: a_ven,
        }, {
            type: 'column',
            name: 'Compras',
            data: a_com,
        }, {
            type: 'column',
            name: 'Beneficio',
            data: a_ben,
        }, {
            type: 'spline',
            name: 'Tickets',
            data: a_tic,
            marker: {
                lineWidth: 2,
                lineColor: Highcharts.getOptions().colors[3],
                fillColor: 'white'
            }
        }, {
            type: 'pie',
            name: 'Total',
            data: [{
                name: 'Ventas',
                y: data.totalven,
                color: Highcharts.getOptions().colors[0] // Ventas's color
            }, {
                name: 'Compras',
                y: data.totalcom,
                color: Highcharts.getOptions().colors[1] // Compras's color
            }, {
                name: 'Beneficio',
                y: data.totalben,
                color: Highcharts.getOptions().colors[2] // Beneficio's color
            }, {
                name: 'Perdida',
                y: data.totalper,
                color: Highcharts.getOptions().colors[8] // Compras's color
            }],
            center: [60, 23],
            size: 60,
            showInLegend: false,
            dataLabels: {
                enabled: false
            }
        }]
    });
});
        </script>
    </head>
    <body>
<script src="../js/js-charts/highcharts.js"></script>
<script src="../js/js-charts/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>

    </body>
</html>